require 'airbrake'
require 'airbrake/faraday_sender'

Airbrake.instance_eval do
  def configure_with_faraday_sender(*args, &block)
    configure_without_faraday_sender(*args, &block).tap do
      self.sender = Airbrake::FaradaySender.new(configuration)
    end
  end
  
  class << self
    alias_method :configure_without_faraday_sender, :configure
    alias_method :configure, :configure_with_faraday_sender
  end
end